System Information¶
Endpoints related to system information.
- GET /v1/analytic-report/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
- GET /feature/¶
List all of the features in the system for your account.
List all of the features in the system for your account.
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested feature cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – The requested feature name already exists.
- POST /feature/¶
Create a new feature.
Create a new feature.
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested feature cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – The requested feature name already exists.
- Response Headers:
Location – URI of the created resource
- GET /feature/{uuid}/¶
Get a single feature by UUID.
Get a single feature by UUID.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested feature cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – The requested feature name already exists.
- PUT /feature/{uuid}/¶
Update a feature by UUID.
Update a feature by UUID.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – The requested feature cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – The requested feature name already exists.
- GET /timezones/¶
Return a list of IANA timezone identifiers.
Return a list of IANA timezone identifiers.
If a filter[country] query parameter (ISO 3166-1 alpha-2 code) is provided, the list is restricted to the timezones for that country; otherwise the full cached list is returned.
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
- GET /about/¶
Get service metadata
Get service metadata
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
- GET /currency-conversion/¶
List all of the currency conversion in the system for your account.
List all of the currency conversion in the system for your account.
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested currency-conversion cannot be found.
400 Bad Request – A currency-conversion with this bureau and currency already exists.
403 Forbidden – You are not authorized to complete the request. Editing currency (currently, only bureau default) not allowed.
- POST /currency-conversion/¶
Create a new currency conversion.
Create a new currency conversion.
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested currency-conversion cannot be found.
400 Bad Request – A currency-conversion with this bureau and currency already exists.
403 Forbidden – You are not authorized to complete the request. Editing currency (currently, only bureau default) not allowed.
- Response Headers:
Location – URI of the created resource
- GET /currency-conversion/{uuid}/¶
Get an individual currency conversion resource by UUID.
Get an individual currency conversion resource by UUID.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested currency-conversion cannot be found.
400 Bad Request – A currency-conversion with this bureau and currency already exists.
403 Forbidden – You are not authorized to complete the request. Editing currency (currently, only bureau default) not allowed.
- PUT /currency-conversion/{uuid}/¶
Update a currency conversion by UUID.
Update a currency conversion by UUID.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – The requested currency-conversion cannot be found.
400 Bad Request – A currency-conversion with this bureau and currency already exists.
403 Forbidden – You are not authorized to complete the request. Editing currency (currently, only bureau default) not allowed.
- DELETE /currency-conversion/{uuid}/¶
Delete a currency conversion by UUID.
Delete a currency conversion by UUID.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
404 Not Found – The requested currency-conversion cannot be found.
400 Bad Request – A currency-conversion with this bureau and currency already exists.
403 Forbidden – You are not authorized to complete the request. Editing currency (currently, only bureau default) not allowed.